GLOBAL_ATTRS = [
    "accesskey",
    "anchor",
    "autocapitalize",
    "autocorrect",
    "autofocus",
    "class",
    "contenteditable",
    "data-*",
    "dir",
    "draggable",
    "enterkeyhint",
    "exportparts",
    "hidden",
    "id",
    "inert",
    "inputmode",
    "is",
    "itemid",
    "itemprop",
    "itemref",
    "itemscope",
    "itemtype",
    "lang",
    "nonce",
    "part",
    "popover",
    "slot",
    "spellcheck",
    "style",
    "tabindex",
    "title",
    "translate",
    "virtualkeyboardpolicy",
    "writingsuggestions"
]

EVENT_ATTRS = [
    "onafterprint",
    "onafterscriptexecute",
    "onanimationcancel",
    "onanimationend",
    "onanimationiteration",
    "onanimationstart",
    "onauxclick",
    "onbeforecopy",
    "onbeforecut",
    "onbeforeinput",
    "onbeforeprint",
    "onbeforescriptexecute",
    "onbeforetoggle",
    "onbeforeunload",
    "onbegin",
    "onblur",
    "oncancel",
    "oncanplay",
    "oncanplaythrough",
    "onchange",
    "onclick",
    "onclose",
    "oncontentvisibilityautostatechange",
    "oncontextmenu",
    "oncopy",
    "oncuechange",
    "oncut",
    "ondblclick",
    "ondrag",
    "ondragend",
    "ondragenter",
    "ondragexit",
    "ondragleave",
    "ondragover",
    "ondragstart",
    "ondrop",
    "ondurationchange",
    "onend",
    "onended",
    "onerror",
    "onfocus",
    "onfocus(autofocus)",
    "onfocusin",
    "onfocusout",
    "onformdata",
    "onfullscreenchange",
    "onhashchange",
    "oninput",
    "oninvalid",
    "onkeydown",
    "onkeypress",
    "onkeyup",
    "onload",
    "onloadeddata",
    "onloadedmetadata",
    "onloadstart",
    "onmessage",
    "onmousedown",
    "onmouseenter",
    "onmouseleave",
    "onmousemove",
    "onmouseout",
    "onmouseover",
    "onmouseup",
    "onmousewheel",
    "onmozfullscreenchange",
    "onpagehide",
    "onpageshow",
    "onpaste",
    "onpause",
    "onplay",
    "onplaying",
    "onpointercancel",
    "onpointerdown",
    "onpointerenter",
    "onpointerleave",
    "onpointermove",
    "onpointerout",
    "onpointerover",
    "onpointerrawupdate",
    "onpointerup",
    "onpopstate",
    "onprogress",
    "onratechange",
    "onrepeat",
    "onreset",
    "onresize",
    "onscroll",
    "onscrollend",
    "onscrollsnapchange",
    "onsearch",
    "onseeked",
    "onseeking",
    "onselect",
    "onselectionchange",
    "onselectstart",
    "onshow",
    "onsubmit",
    "onsuspend",
    "ontimeupdate",
    "ontoggle",
    "ontoggle(popover)",
    "ontouchend",
    "ontouchmove",
    "ontouchstart",
    "ontransitioncancel",
    "ontransitionend",
    "ontransitionrun",
    "ontransitionstart",
    "onunhandledrejection",
    "onunload",
    "onvolumechange",
    "onwaiting",
    "onwebkitanimationend",
    "onwebkitanimationiteration",
    "onwebkitanimationstart",
    "onwebkitfullscreenchange",
    "onwebkitmouseforcechanged",
    "onwebkitmouseforcedown",
    "onwebkitmouseforceup",
    "onwebkitmouseforcewillbegin",
    "onwebkitplaybacktargetavailabilitychanged",
    "onwebkitpresentationmodechanged",
    "onwebkittransitionend",
    "onwebkitwillrevealbottom",
    "onwheel"
]

DEFAULT_ATTRS = {
    "form": [
        "accept", "accept-charset", "action", "autocomplete", "enctype", 
        "method", "name", "novalidate", "target"
    ],
    "input": [
        "accept", "alt", "autocomplete", "capture", "checked", "dirname", 
        "disabled", "form", "formaction", "formenctype", "formmethod", 
        "formnovalidate", "formtarget", "list", "max", "maxlength", 
        "minlength", "min", "multiple", "name", "pattern", "placeholder", 
        "readonly", "required", "size", "src", "step", "type", "usemap", 
        "value", "width"
    ],
    "col": ["span"],
    "colgroup": ["span"],
    "iframe": [
        "allow", "csp", "name", "referrerpolicy", "sandbox", "src", 
        "srcdoc", "width"
    ],
    "img": [
        "alt", "crossorigin", "decoding", "intrinsicsize", "ismap", 
        "referrerpolicy", "sizes", "src", "srcset", "usemap", "width"
    ],
    "table": ["summary"],
    "td": ["colspan", "headers", "rowspan"],
    "th": ["colspan", "headers", "rowspan", "scope"],
    "area": [
        "alt", "coords", "download", "href", "media", "ping", 
        "referrerpolicy", "rel", "shape", "target"
    ],
    "link": [
        "as", "crossorigin", "href", "hreflang", "integrity", 
        "media", "referrerpolicy", "rel", "sizes", "type"
    ],
    "script": [
        "async", "crossorigin", "defer", "integrity", "language", 
        "referrerpolicy", "src", "type"
    ],
    "select": [
        "autocomplete", "disabled", "form", "multiple", "name", 
        "required", "size"
    ],
    "textarea": [
        "autocomplete", "cols", "dirname", "disabled", "enterkeyhint", 
        "form", "inputmode", "maxlength", "minlength", "name", 
        "placeholder", "readonly", "required", "rows", "wrap"
    ],
    "audio": [
        "autoplay", "controls", "crossorigin", "loop", "muted", 
        "preload", "src"
    ],
    "video": [
        "autoplay", "controls", "crossorigin", "loop", "muted", 
        "playsinline", "poster", "preload", "src", "width"
    ],
    "marquee": ["loop"],
    "object": [
        "data", "form", "name", "type", "usemap", "width"
    ],
    "meta": ["charset", "content", "http-equiv", "name"],
    "blockquote": ["cite"],
    "del": ["cite", "datetime"],
    "ins": ["cite", "datetime"],
    "q": ["cite"],
    "time": ["datetime"],
    "track": ["default", "kind", "label", "src", "srclang"],
    "button": [
        "disabled", "form", "formaction", "formenctype", "formmethod", 
        "formnovalidate", "formtarget", "name", "type", "value"
    ],
    "fieldset": ["disabled", "form", "name"],
    "optgroup": ["disabled", "label"],
    "option": ["disabled", "label", "selected", "value"],
    "a": [
        "download", "href", "hreflang", "media", "ping", 
        "referrerpolicy", "rel", "shape", "target"
    ],
    "label": ["for", "form"],
    "output": ["for", "form", "name"],
    "meter": ["form", "high", "low", "max", "min", "optimum", "value"],
    "progress": ["form", "max", "value"],
    "canvas": ["width"],
    "embed": ["src", "type", "width"],
    "base": ["href", "target"],
    "source": ["media", "sizes", "src", "srcset", "type"],
    "style": ["media", "scoped", "type"],
    "map": ["name"],
    "param": ["name", "value"],
    "details": ["open"],
    "dialog": ["open"],
    "ol": ["reversed", "start", "type"],
    "menu": ["type"],
    "data": ["value"],
    "li": ["value"]
}